
namespace Hotline.Settings
{
    public interface ISystemAreaDomainService
    {
        Task<List<SystemArea>> GetAreaTree();

        Task AddArea(SystemArea model,CancellationToken cancellationToken);

        Task ModifyArea(SystemArea model, CancellationToken cancellationToken);

        Task<SystemArea?> GetArea(string id, CancellationToken cancellationToken);

        Task DelArea(string id,CancellationToken cancellationToken);


        Task<string> GenerateNewAreaCodeAsync(string parentId, CancellationToken cancellationToken);
    }
}
